AutoCAD .NET :: Selecting Entities In Multiple Layers
Jan 15, 2013
Is it possible to select entities of multiple layers?
I've looked at... [URL] .....
...and tried the following code.
string[] layerNames = {"1", "2", "3"};TypedValue[] tdv = new TypedValue[(layerNames.Length * 3) + 2];int i = 0;tdv[i++] = new TypedValue((int)DxfCode.Operator, "<or");foreach (string ln in layerNames){ tdv[i] = new TypedValue((int)DxfCode.Operator, "<and"); tdv[i + 1] = new TypedValue((int)DxfCode.LayerName, ln); tdv[i + 2] = new TypedValue((int)DxfCode.Operator, "and>"); i += 3;}tdv[i - 2] = new TypedValue((int)DxfCode.Operator, "or>");SelectionFilter sf = new SelectionFilter(tdv);PromptSelectionResult psr = ed.SelectAll(sf);
This code gives me an error in the PromptSelectionResult.
What would cause the erro?
View 1 Replies
ADVERTISEMENT
Jan 25, 2014
I'm going to connect my AI file to After effect. So I had to create lots of layers in order to edit them seperatly in After effects. But it seems like my amount of layers are too large because AE always crashes (not responding -> Force quit)
So I wanna break some stuff down in multiple AI files, but I don't wanna go and select every layer and delete it. That would take too much time. Is there a way to select the multiple objects in Illustrator and delete that but also its layer its in?
View 3 Replies
View Related
Aug 15, 2012
I'm using QSELECT to select all objects on a layer, sometimes I need to select objects from 5-7 layers.
Right now I use QSELECT, select 1 layer, click OK, open QSELECT again, select another layer and repeat. Is there a faster way to do this without scripts?
I'm sure some of you do site drawings, how do you measure a curve? Some restaurants or cafes have a rounded serving counter, how you measure the radius to plot into autocad?
View 9 Replies
View Related
Apr 27, 2012
I've just upgraded to Corel X5 and cannot find a way of selecting more than one layer at a time in the Object Manager docker. (With X3 I simply held down Shift and selected however many layers I wanted). I sometimes need to select dozens of layers at once to delete them or switch off visibility - surely not one at a time? How is this done in X5?
View 14 Replies
View Related
Oct 8, 2003
is there a way that i can move/ multiple layers at the same time?
View 2 Replies
View Related
Mar 3, 2013
I'm trying to select multiple layers in the layers panel on a Mac. I normally do 'command-click' and it works to select many layers. Now, it doesn't work. When I click the second layer, it draws a marquee around it. I need to select multiple layers in order to drop shadow many layers at the same time.
View 3 Replies
View Related
Jul 12, 2013
I have some blocks which are placed with some routines in VB.net and are linked by a unique code to a external data file (XML-file). I want to try to created a kind of propertybox (in a toolpalette) which indicate some of this external data values. If one of these values are changed (by changing the values in the propertybox), some routines need to be executed.
Is it possible when a object is selected (not during a command), to run a piece of code (VB.NET). I have found some basic principles about "overruling" but I'm not sure this is the correct/possible way to solve the problem and I'm not there yet.
View 4 Replies
View Related
Aug 15, 2012
Select one type layer, as you can see below, the character panel reflects the setting correctly:
Select TWO type layers, with the exact same character attributes.. what happens?
It should say in the image above 36px/52px, not 12.16px (.16 px? Really?) and 17.56.I haven't the foggiest idea where that even comes from.
But the result for all photoshop users is that they have to individually change all the layers individually..I was hoping character styles would work, i have yet to figure out how it even works, i've tried multiple times, it just doesn't do anything to the selected type.
View 12 Replies
View Related
Nov 21, 2012
I am missing entities when I try to pick on them.Not window, not crossing. Just trying to pick an entity. I usually select entities first before my command.
Is there a variable that might have changed? I played with PICKBOX & APERTURE but this doesn't change anything when I try to select something. I can have the entity in the box right next to the intersection of the crosshairs and instead of selecting the entity it starts to window.
I have a logitech m705 mouse w/ setpoint software ver 6.32.7 & driver ver 5.33.14 installed.
View 6 Replies
View Related
Jun 21, 2012
I have found this post from April where the bug was acknowledged in the beta:
[URL].........
I now have the official release of CS6, and I am still seeing this issue. And for clarification, here's what the issue is:
- I start off creating a text layer with a font size of 20px.
- I then transform this layer to make it larger.
- I copy the layer over so I have identical text layers.
- When I select each individually, I am shown the new, larger font size, we'll just say 40px. But when I select both together, it shows the original font size of 20px in the character palette. When I increase the font size with both selected to say 30px, it actually makes the text more like 60px.
Will this bug actually get fixed?
View 5 Replies
View Related
May 1, 2012
My primary goal in this exercise is to select a nested polyline within a block and have access to its grips. I'm still not even sure if it's possible.
However, before I'm even getting to that stage I'm hitting some problems. I have some custom objects which all in some way or another inherit from BlockReference:
BlockReference
-Derived Abstract Class with common attributes
-Derived Concrete Class1
-Derived Concrete Class2
-Derived Concrete Class3
I insert instances of my derived concrete classes using jigs( Class2 for example is created using a polyline jig). However, when I select the block generated from it using a PromptSelectionResult, it returns a BlockReference, not the derived concrete class, not the derived abstract class.
When I try and cast that as the correct class type I get an error telling me I can't cast from the Base class to any of the derived classes.
So, firstly, why is it returning a BlockReference when the object I'm clicking on is an instance of a type that indirectly inherits BlockReference? And is it even possible to gain access to a nested entity's grips? I followed post here: [URL] .... but it doesn't give me what I need.
I've tried ed.GetNestedEntity and the AllowSubSelections property of PromptSelectionOptions and had little joy.
View 3 Replies
View Related
Oct 10, 2012
I need a function similar to Qselect.
In this case I would like to select all entities on a series of layers. (i.e.: a-site-* or a-fill*). I know I can do this with qselect by doing each layer one at a time and append the existing selection set.
Instead, I've been locking all layers except the series I'm looking for, but it seems like there should be a quicker way.
View 9 Replies
View Related
Jan 11, 2013
There are blocks in the drawing, each containing several nested entities. Need a command which would find all the nested entities which got into the selection area provided by user (not necessary to select entities, just get the ids). GetNestedEntity() does what I need but for a single entity only.
Selection of 'Trim' command does exactly what I need. How could I achieve the same behaviour?
View 5 Replies
View Related
Sep 26, 2012
I was wondering if there is a way to change multiple entities of Mtext. I tried CHT but the options are limited. Is there a way of say changing the color?
View 6 Replies
View Related
Mar 26, 2013
How to Jig multiple entities such as insert a block and add a line.
View 3 Replies
View Related
Nov 19, 2013
I have created multiple sketch entities like line, arc, circle etc. using the Inventor API's. Now I want to add the coincident constraint between start point of line, start point of arc and center point of circle.
I have added coincident constraint through UI(Please see attached snap). The same I want to add using Inventor API's. which API I should use to add the coincident constraint for such multiple entities.
View 1 Replies
View Related
Jul 25, 2011
The 'application' I am trying to make currently adds entites to a drawing. Each entity has data associated with it but also part of a tree of infomation so I store xrecord data along with the objectID in a dictionary tree within the drawing.
I want to be able to select multiple entities and have any matching data shown in a palette. The same way the properties palette behaves.
I have it working but I can see AutoCAD crunching the data. It cycles through the selection set and the dictionary tree extracting entity data until it finds an ID match in the xrecord.
How the properties palette works so quickly or how I could improve the speed.
View 2 Replies
View Related
Dec 29, 2011
I am trying to save road centerlines with labels to an AutoCAD drawing. On the Output Tab I click Save Current Map to AutoCAD. When I open the AutoCAD drawing I created each letter in the label is a seperate text entity. Like Main St is not one entity, it is 6 different text entities.
View 3 Replies
View Related
May 9, 2013
I would like to increase the font size in many text layers at a time by selecting them in the layers panel. The font increases, but the text boxes don't expand to fit the increased size text. So I am having to make each box bigger manually. Is there a way to have the boxes expand to fit bigger text automatically through the layers panel?
View 2 Replies
View Related
Sep 7, 2012
locked objects get selected, but nothing acts on them. that is i do see them getting dotted while i selected all objects on other unlocked layers. is there way that locked layers don't get dotted while selection? just like in sketchup?
View 5 Replies
View Related
Feb 1, 2012
I want to move a few snap points on a line but not all of them... Usually I would shift + click each individual snap point and then move but when I have a lot of points it gets pretty time consuming.
If there was a way to drag select multiple snap points in a line.
View 4 Replies
View Related
May 26, 2013
how to convert multiple selections to multiple layers or multiple files with one go?
View 6 Replies
View Related
Nov 2, 2011
How to modify this routine so that I can select multiple objects as opposed to one at a time?
(Defun c:cd ()
(setq newdim (entsel "
Select Dimension to clear:"))
(setq newdimvalue " ")
(command "dimedit" "n" newdimvalue newdim "")
(princ)
)
View 9 Replies
View Related
May 9, 2013
Is it possible to emboss multiple elements at once, without selecting each of them separately? I got over 2k elements on sketch which are needed to be embossed, it would be really pain to do it manually.
View 6 Replies
View Related
Apr 23, 2011
I just started having an issues with the delete feature. When I click on an object and it highlights it--when i hit the delete button, it doesn't delete the object any more. Also i should be able to click on as many object as i want, now it makes me hold the shift key down. And also when I click on an object then pull the layers tab down to assign it to a diffent layer ---it won't change it now.. what do you think is going on with the software and who might I contact to get this problem corrected.
View 3 Replies
View Related
May 8, 2013
In previous versions of Autocad 2008 and earlier you could start a new drawing xref in a drawing then switch to layout and create a viewport that would show the xref. Then you could click inside that viewport and run the FL (freeze layer) command and selectively freeze layers by clicking on them.
In my current version of Autocad Civil 3D 2010, when I follow the same steps as above and run the FL (freeze layer) command inside the viewport, the entire layer contents within the viewport freeze as if everything is on that one layer.
I notice that if I pull up the layer manager box and go down the list of xref'd layers and select the freeze in viewport option for each of the layers I need to freeze it will do what I need to have done, But I'd like to be able to be able to selectively freeze these layers visually within the viewport like I've always been able to do, instead scrolling down a long list of layer names and freezing them that way.
how to do this in Civil 3D 2010?
View 4 Replies
View Related
Nov 27, 2012
I have this code that I wrote years ago that I want to update to select two types of civil3d objects and show them selected with grips on the screen. This function works fine
(defun CELFEATURE ()
(ssget "_X" '((0 . "AECC_FEATURE_LINE")))
(setq sset (ssget "P"))
(if sset
(progn
(sssetfirst sset sset)
;(command "_.PROPERTIES")
)
)
)
(defun cF () (CELFEATURE))
but if I add the extra object like this which I assume is the wrong syntax i only get the second type of objects. Need correct syntax I should be using for selecting more than one object in an ssget statement.
(defun CELFEATURE ()
(ssget "_X" '((0 . "AECC_FEATURE_LINE","AECC_AUTO_CORRIDOR_FEATURE_LINE")))
(setq sset (ssget "P"))
(if sset
(progn
(sssetfirst sset sset)
;(command "_.PROPERTIES")
)
)
)
(defun cF () (CELFEATURE))
View 2 Replies
View Related
May 24, 2013
I am just starting learning lisp, And I am looking for a fast way to select multiple objects (usually circle) and export their coordinates and ID into a excel sheet through lisp programming.
As you might see in the attached drawing, the red circles are objects wanted. I have been trying to export their coordinates as well as their IDs in grids, e.g D28, Easting: Northing: . I still haven't found a good way to export ID for each circle.
As my code doesn't work, I wonder what's the most effective way to detect errors in lisp
View 5 Replies
View Related
Feb 26, 2012
Can not click on multiple objects or lines for erase,trim or extend commands. Is there a mode that I have turned on by accident , driver warning also comes up in trim offset command.
View 6 Replies
View Related
Sep 1, 2011
Usually when I want to work on a different layer, I will select the layer in the layers panel first, or alternatively hold down ctrl and left click on the image in my actual design that's on the layer I wish to change to. However I must have done "something" because now no matter what layer I am on, if I click on a part of my design that's on a different layer to which I am working on, it will automatically select this image and change to this layer. This is highly annoying because every time I am trying to edit something or move something around I suddenly find I am on a different layer again!
I'm not sure how I did this or how to change it back. When I started this design a few days ago it was working normally.
View 2 Replies
View Related
May 4, 2006
How do i select only a certain layer's and merge or group them together? I though it would be something like... Ctrl + G or etc.
View 4 Replies
View Related